# Buttono Website

This project was bootstrapped with [Atölye15 - Web Starter Kit](https://github.com/atolye15/web-starter-kit).

## System Requirements

- [Node.js](http://nodejs.org/)
- [Yarn](https://yarnpkg.com/lang/en/)
- [Git](http://git-scm.com/)

## Setup

### 1. Installing Dependencies

To download dependencies type in the terminal

```bash
yarn
```

### 2. Starting Development Environment

```bash
# Starts development environment, styleguide and watch processes.
yarn start
```

## Documentation

### 1. Folder Structure

```text
root
├── dev/                  # In development mode files generated by the build process are stored here.
├── dist/                 # In production mode files generated by the build process are stored here.
├── .vscode/              # Visual Studio Code settings are stored here.
├── gulp/                 # All Gulp tasks and related files are located in this folder.
│     ├── assets/         # Static assets used by Gulp tasks are located in this folder.
│     ├── tasks/          # All Gulp tasks are located in this folder.
│     └── utils/          # Utility functions used by Gulp tasks are located in this folder.
├── kss/                  # Settings for KSS package used by Styleguide are located in this folder.
├── public/               # The public folder contains the files won't be compiled. The files is in this folder only will be copy and paste to the dist folder.
├── src/                  # Files for development are located here. These files are processed by Gulp and /dev and /dist will be created
│     ├── fonts/          # Font files needed for the project should be placed here to be compiled.
│     ├── img/            # Image files needed for the project should be placed here.
│     ├── icons/          # SVG files needed for the project should be placed here to be compiled.
│     ├── js/             # Javascript files used in the project should be placed here to be compiled.
│     ├── scss/           # Scss files are located in this folder.
│       ├── abstracts/
│         └── mixins/
│       ├── base/
│         └── utilities/
│       ├── components/
│       ├── objects/
│       └── libs/
│
├── twig/                 # Twig files are located in this folder.
│   ├── pages/
│   └── partials/
├── .babelrc
├── .browserlistrc
├── .editorconfig
├── .eslintrc.json
├── .gitattributes
├── .gitignore
├── .prettierignore
├── .prettierrc
├── .stylelintignore
├── .stylelintrc
├── .archive.sh
├── CHANGELOG.md
├── config.js
├── gulpfile.babel.js
├── package.json
├── README.md
├── yarn.lock
```

### 2. Commands

You can run commands by typing,

```bash
yarn [command]
```

| Command    | Description                                     |
| :--------- | ----------------------------------------------- |
| lint       | runs lint:js and lint:css commands.             |
| lint:js    | runs eslint for javascript files                |
| lint:css   | runs stylint for scss files                     |
| format     | runs format:js and format:css commands          |
| format:js  | runs prettier for javascript files              |
| format:css | runs prettier for scss files                    |
| build      | builds project in production mode               |
| start      | builds project and then runs watch processes    |
| styleguide | builds styleguide and then runs watch processes |
